<html>

<head>
  <meta charset="utf-8">
  <title> </title>

</head>

<body>
  <div class="login-box">


    <form>
      <h1 style="margin-left: 27%;"> Generar Ticket </h1>


      <div class="container">

        <br>
     
        
        <div class="input-group mb-3">
          <label class="col-form-label col-sm-3 text-right">Categoria:</label>
          <div class="col-sm-7">
            <select class="form-select" id="categoria" [(ngModel)]="codCatalogo" name="categoria" class="col-sm-7" #Datcategoria
              (change)=" seleccionarCatalogo(Datcategoria.value)" aria-label="Floating label select example">
              <option *ngFor="let categoria of dataCatalogo  " [value]="categoria.codCatalogo"> {{categoria.categoria}}
              </option>
            </select>
          </div>
        </div>

        <div class="input-group mb-3">
          <label class="col-form-label col-sm-3 text-right">  Servicio:</label>
          <div class="col-sm-7">
            <select class="form-select"  id="servicio" [(ngModel)]="codServicio" name="servicio" class="col-sm-7" #Datservicio
              (change)=" seleccionarServicio(Datservicio.value)" aria-label="Floating label select example">
              <option *ngFor="let servicio of dataServicio  " [value]="servicio.codServicio"> {{servicio.titulo}}
              </option>
            </select>
          </div>
        </div>


        <div class="input-group mb-3">
          <label class="col-form-label col-sm-3 text-right"> Nivel Severidad:</label>
          <div class="col-sm-7">
            <select class="form-select"  id="severidad" [(ngModel)]="codSeveridad" name="severidad" class="col-sm-7" #Datseveridad
              (change)=" seleccionarSeveridad(Datseveridad.value)" aria-label="Floating label select example">
              <option *ngFor="let severidad of dataSeveridad  " [value]="severidad.codSeveridad"> {{severidad.nivelSeveridad}}
              </option>
            </select>
          </div>
        </div>

        <div class="input-group mb-3">
          <label class="col-form-label col-sm-3 text-right"> Via Comunicacion:</label>
          <div class="col-sm-7">
              <select class="form-select" id="viaComunicacion" [(ngModel)]="codViaComunicacion" [ngModelOptions]="{standalone: true}" name="viaComunicacion" class="col-sm-7" #Datcomunicacion (change)=" seleccionarViaComunicacion(Datcomunicacion.value)" aria-label="Floating label select example">
                  <option *ngFor="let viaComunicacion of dataViaComunicacion "  [value]="viaComunicacion.codViaComunicacion" > {{viaComunicacion.nombre}}</option>
                </select>
          </div>
      </div> 

        <div class="input-group mb-3">
          <label class="col-form-label col-sm-2 text-right"  >Descripcion:</label>
          <div class="col-sm-9">
            <input name="descripcionTicket" id="descripcionTicket" type="text"  [(ngModel)]="descripcionTicket" [ngModelOptions]="{standalone: true}" class="form-control" placeholder="descripcion">
          </div>
        </div>

        <div class="input-group mb-3">
          <label class="col-form-label col-sm-2 text-right">Archivo:</label>
          <div class="col-sm-7">
            <!-- <input type="file" class="file-upload" onchange="console.log(event.target.files)" title="Load File"> -->
            <input type="file" class="upload" (change)="onChange($event)" #photoInput />
          </div>

        </div>
       
    

        <br>
        <br>



        <button [disabled]="isLoading" style="margin-left: 57%;" class="btn btn-outline-danger mr-2"
          (click)="cancelar()">Cancelar</button>
        <button [disabled]="isLoading" style="margin-left: 10%;"  (click)="validarlosCampos()" class="btn btn-outline-primary mr-2">Guardar</button>


      </div>
    </form>


  </div>
</body>

</html>